Skip to main content
Clients

Get a list of clients

This method requires the Clients:Get permission to be associated with your role.

GET
/fm/clients
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
client_codestringquery

Optional Client Code

This field supports the wildcard % operator.

client_group_codestringquery

Optional Client Group Code

This field supports the wildcard % operator.

client_typestringquery

Optional Client Type

namestringquery

Optional Name

This field supports the wildcard % operator.

contact1_namestringquery

Optional Contact1 Name

This field supports the wildcard % operator.

include_inactive_flagenum<string>querydefault:no

Set to yes if inactive Clients required in the list. Note 'deleted' records cannot be returned.

Available options: yes, no
fieldsstring[]query

Define fields required. If no fields are specified, then all fields are returned.

pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1